<?php
/**
 * ProductSubscribesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * CRM
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CrmClient;

use \Ensi\CrmClient\Configuration;
use \Ensi\CrmClient\ApiException;
use \Ensi\CrmClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ProductSubscribesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductSubscribesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for clearProductSubscribes
     *
     * Удаление всех товаров из подписок клиента.
     *
     */
    public function testClearProductSubscribes()
    {
    }

    /**
     * Test case for createProductSubscribe
     *
     * Создание объекта типа ProductSubscribe.
     *
     */
    public function testCreateProductSubscribe()
    {
    }

    /**
     * Test case for deleteProductFromProductSubscribes
     *
     * Удаление товара из списка подписок клиента.
     *
     */
    public function testDeleteProductFromProductSubscribes()
    {
    }

    /**
     * Test case for searchProductSubscribes
     *
     * Поиск объектов типа ProductSubscribe.
     *
     */
    public function testSearchProductSubscribes()
    {
    }
}
